Skip to main content

Get Index Price components

Description​

Get the index price components for a trading pair.

HTTP Request​

GET /v3/market/indexPriceComponents

Request Parameters​

ParameterRequiredTypeDescription
symbolYesStringA trading pair

Response Parameters​

ParameterTypeDescription
pxStringIndex price
sStringA trading pair
csArray of JsonA symbol's price from different exchanges and its weight factor.
sStringA trading pair
sPxStringPrice of a trading pair
wStringWeight factor
cPxStringA trading pair's index price
eStringExchange

Request Example​

{
"symbol": "DOT_USDT_PERP"
}

Response Example​

{
"code": 200,
"data": [
{
"cs": [
{
"cPx": "60000",
"e": "Binance",
"sPx": "60000",
"w": "1.0"
},
{
"cPx": "0.0000",
"e": "Kucoin",
"sPx": "60000",
"w": "0.0"
},
{
"cPx": "0.0",
"e": "huobi",
"sPx": "0",
"w": "0.0"
}
],
"px": "60000",
"s": "BTC_USDT_PERP"
}
],
"msg": "Success"
}